package gr.uoi.cs.privacy.network;

public class Edge {
	private Node[] nodes;
	private String label;
	
	public Edge (Node a, Node b){
		this.nodes = new Node[2];
		nodes[0] = a;
		nodes[1] = b;
		label = a.getLabel() + "-" + b.getLabel();
	}
	
	public Edge (Node a, Node b, String l){
		this.nodes = new Node[2];
		nodes[0] = a;
		nodes[1] = b;
		label = l;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}
	
	public Node[] getNodes(){
		return this.nodes;
	}
}
